# -------------------------------------------------
# Project created by QtCreator 2010-07-21T17:47:06
# -------------------------------------------------
QT += xml \
    multimedia
TARGET = Framework
TEMPLATE = app
SOURCES += main.cpp \
    mainwindow.cpp \
    scriptlistmodel.cpp \
    variableswidgetdialog.cpp \
    consoleoutmodel.cpp \
    runscriptwidget.cpp
HEADERS += mainwindow.h \
    scriptlistmodel.h \
    variableswidgetdialog.h \
    consoleoutmodel.h \
    variablestablemodel.h \
    runscriptwidget.h \
    drawpointsdialog.h \
    configdialog.h \
    mainimagegraphicsview.h \
    drawpointsgview.h
FORMS += mainwindow.ui \
    variableswidgetdialog.ui \
    runscriptwidget.ui \
    drawpointsdialog.ui \
    configdialog.ui
OTHER_FILES += help/index.html \
    README.txt
unix { 
    INCLUDEPATH += /usr/include/python2.6
    LIBS += -L/usr/lib \
        -lpython2.6
    QMAKE_CXXFLAGS += -Xlinker \
        -export-dynamic \
        -Wl,-O1 \
        -Wl,-Bsymbolic-functions
}
windows { 
    INCLUDEPATH += C:/Python26/include
    LIBS += -LC:/Python26/libs \
        -lpython26
}
RESOURCES += icons.qrc
